/**
 * Copyright (c) 2016-2019 雷掣 All rights reserved.
 *
 * https://www.lc_crm.com
 *
 * 版权所有，侵权必究！
 */

package io.renren.common.exception;

/**
 * 自定义异常
 *
 * @author Mark sunlightcs@gmail.com
 */
public class UnauthorizedException extends RuntimeException {
	private static final long serialVersionUID = 1L;

    private String msg;
    private int code = 500;

    public UnauthorizedException(String msg) {
		super(msg);
		this.msg = msg;
	}

	public UnauthorizedException(String msg, Throwable e) {
		super(msg, e);
		this.msg = msg;
	}

	public UnauthorizedException(String msg, int code) {
		super(msg);
		this.msg = msg;
		this.code = code;
	}

	public UnauthorizedException(String msg, int code, Throwable e) {
		super(msg, e);
		this.msg = msg;
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}
	
	
}
